> For the complete documentation index, see [llms.txt](https://docs.powerpool.finance/powerpool-and-poweragent-network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.powerpool.finance/powerpool-and-poweragent-network/power-agent/old-pages/installation-guide-old/chain-specific-configs.md).

# Chain-specific configs

In general, only the network name in the "details" and "enabled" fields and the agent address are subject to change.

### Sepolia (Testnet)

{% code title="main.yaml" %}

```yaml
networks:
  data_source: network
  enabled:
    - sepolia
  details:
    sepolia:
      rpc: 'YOUR_WS_RPC'
      max_priority_fee_per_gas: 6000000
      agents:
        'SEPOLIA_AGENT_ADDRESS':
          executor: pga
          keeper_worker_address: 'YOUR_WORKER_ADDRESS'
          key_pass: 'YOUR_VERY_SECURE_PASSWORD'
          accept_max_base_fee_limit: true
          accrue_reward: true
          tx_resend_or_drop_after_blocks: 4
          tx_resend_max_gas_price_gwei: 1000
          tx_resend_max_attempts: 4
          gas_price_priority_add_gwei: 100
          # data_source: subgraph
          # subgraph_url: https://api.studio.thegraph.com/query/44364/ppav2-rd-sepolia-b11/version/latest
          max_block_delay: 10
          resolve_min_success_count: 3
```

{% endcode %}

### Gnosis (Testnet)

{% code title="main.yaml" %}

```yaml
networks:
  data_source: network
  enabled:
    - gnosis
  details:
    gnosis:
      rpc: 'YOUR_WS_RPC'
      max_priority_fee_per_gas: 6000000
      agents:
        'GNOSIS_AGENT_ADDRESS':
          executor: pga
          keeper_worker_address: 'YOUR_WORKER_ADDRESS'
          key_pass: 'YOUR_VERY_SECURE_PASSWORD'
          accept_max_base_fee_limit: true
          accrue_reward: true
          tx_resend_or_drop_after_blocks: 4
          tx_resend_max_gas_price_gwei: 1000
          tx_resend_max_attempts: 4
          gas_price_priority_add_gwei: 100
          # data_source: subgraph
          # subgraph_url: https://api.studio.thegraph.com/query/44364/ppav2-rd-sepolia-b11/version/latest
          max_block_delay: 10
          resolve_min_success_count: 3
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.powerpool.finance/powerpool-and-poweragent-network/power-agent/old-pages/installation-guide-old/chain-specific-configs.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
